CVE-2020-27824

medium

Description

A flaw was found in OpenJPEG’s encoder in the opj_dwt_calc_explicit_stepsizes() function. This flaw allows an attacker who can supply crafted input to decomposition levels to cause a buffer overflow. The highest threat from this vulnerability is to system availability.

References

https://bugzilla.redhat.com/show_bug.cgi?id=1905723

https://lists.debian.org/debian-lts-announce/2021/02/msg00011.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/OQR4EWRFFZQDMFPZKFZ6I3USLMW6TKTP/

https://lists.fedoraproject.org/archives/list/[email protected]/message/WJUPGIZE6A4O52EBOF75MCXJOL6MUCRV/

https://www.debian.org/security/2021/dsa-4882

https://www.oracle.com/security-alerts/cpuoct2021.html

Details

Source: MITRE

Published: 2021-05-13

Updated: 2022-08-05

Type: CWE-125

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.5

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM